### Constructor

# Panel Application new

#### Declaration [src]

    PanelApplication*
    panel_application_new (
      const char* application_id,
      GApplicationFlags flags
    )

#### Description

No description available.

#### Parameters

`application_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GApplicationFlags`

  No description available.

#### Return value

Type: `PanelApplication`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.